from typing import Type

from edpdependencyinjection import AnyType


class MessageProcessorDefinition:
    def __init__(
        self,
        processor_type: Type[AnyType],
    ):
        self.processor_type = processor_type

    def __str__(self):
        return f"Processor: {self.processor_type}"
